import { wxLogin } from '@/apis/user.js'
import store from '@/store/index.js'
import { isFunction } from '@/utils/types.js'

// wx.login
export function login_wx(cb) {
	uni.login({
		success: async res => {
			const { status, data } = await wxLogin(res.code)
			cb && isFunction(cb) && cb()
			if(status) {
				store.state.user.openid = data.openid
				store.state.user.unionid = data.unionid
				store.state.user.session_key = data.session_key
			}
		}
	})
}